# -*- coding: UTF-8 -*-
#
# (c) 2010-2012 Mandriva, http://www.mandriva.com/
#
# This file is part of Mandriva Server Setup
#
# MSS is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MSS is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MSS; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

from sqlalchemy import Column, Integer, String, DateTime, Sequence, create_engine
from sqlalchemy.orm import sessionmaker
from sqlalchemy.ext.declarative import declarative_base


engine = create_engine('sqlite:////var/lib/mmc/http.db')
Session = sessionmaker(bind=engine)
Base = declarative_base()

class App(Base):
    __tablename__ = 'app'
    id = Column(Integer, Sequence('app_id_sec'), primary_key=True)
    application = Column(String)
    path = Column(String)
    dbname = Column(String)
    dbuser = Column(String)
    password = Column(String)
    date = Column(DateTime, default=None)
    description = Column(String)

    def __init__(self, application, path, dbname, dbuser, password, date, description):
        self.application = application
        self.path = path
        self.dbname = dbname
        self.dbuser = dbuser
        self.password = password
        self.date = date
        self.description = description


class Vhosts(Base):
    __tablename__ = 'vhosts'

    id = Column(Integer, Sequence('vhost_id_sec'), primary_key=True)
    domain = Column(String)
    ssl = Column(String)
    smbshare = Column(String)
    adminuser = Column(String)
    docroot = Column(String)
    date = Column(DateTime, default=None)
    state = Column(String)
    ssldefault = Column(String)
    
    def __init__(self, domain, ssl, smbshare, adminuser, docroot, date, state, ssldefault):
        self.domain = domain
        self.ssl = ssl
        self.smbshare = smbshare
        self.adminuser = adminuser
        self.docroot = docroot
        self.date = date
        self.state = state
        self.ssldefault = ssldefault
